package com.yijia.station.domain;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 油品价格对象 station_oil_price
 *
 * @author yijia
 * @date 2020-12-08
 */
public class StationOilPrice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 油品价格id */
    private Long oilPriceId;

    /** 油品名称 */
    @Excel(name = "油品名称")
    private String oilName;

    /** 油品价格 */
    @Excel(name = "油品价格")
    private BigDecimal oilPrice;

    /** 油站id */
    @Excel(name = "油站id")
    private Long stationId;

    /** 油站名称 */
    private String stationName;


    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date date;

    /**
     * 油品类型
     */
    private String oilType;
    /**
     * 根据用户所属组织，平台，集团，油站查询条件
     */
    private List<String> stationIdList;

    public String getOilType() {
        return oilType;
    }

    public void setOilType(String oilType) {
        this.oilType = oilType;
    }

    public List<String> getStationIdList() {
        return stationIdList;
    }

    public void setStationIdList(List<String> stationIdList) {
        this.stationIdList = stationIdList;
    }

    public void setOilPriceId(Long oilPriceId)
    {
        this.oilPriceId = oilPriceId;
    }

    public Long getOilPriceId()
    {
        return oilPriceId;
    }
    public void setOilName(String oilName)
    {
        this.oilName = oilName;
    }

    public String getOilName()
    {
        return oilName;
    }

    public BigDecimal getOilPrice() {
        return oilPrice;
    }

    public void setOilPrice(BigDecimal oilPrice) {
        this.oilPrice = oilPrice;
    }

    public void setStationId(Long stationId)
    {
        this.stationId = stationId;
    }

    public Long getStationId()
    {
        return stationId;
    }


    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }
    public void setDate(Date date)
    {
        this.date = date;
    }

    public Date getDate()
    {
        return date;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("oilPriceId", getOilPriceId())
            .append("oilName", getOilName())
            .append("oilPrice", getOilPrice())
            .append("stationId", getStationId())
            .append("stationName",getStationName())
            .append("date", getDate())
            .toString();
    }
}
